# Class CIM_SubProfileRequiresProfile
extends CIM_ReferencedProfile

A subprofile requires another RegisteredProfile for context. This association mandates the scoping relationship between a subprofile and its scoping profile.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ReferencedSpecification
|
+--CIM_ReferencedProfile
|
+--CIM_SubProfileRequiresProfile

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_ReferencedProfile
Description | string | A subprofile requires another RegisteredProfile for context. This association mandates the scoping relationship between a subprofile and its scoping profile.
UMLPackagePath | string | CIM::Interop
Version | string | 2.37.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_SubProfileRequiresProfile | CIM_RegisteredProfile
Dependent | CIM_SubProfileRequiresProfile | CIM_RegisteredSubProfile

## Class Methods